SolrInputDocument::getFieldNames
SolrInputDocument::reset
SolrInputDocument
PHP Manual

# SolrInputDocument::merge

Merges one input document into another

### Description

public bool SolrInputDocument::merge ( SolrInputDocument `$sourceDoc` [, bool `$overwrite` = true ] )

Merges one input document into another.

### Parameters

`sourceDoc`

  The source document.

`overwrite`

  If this is `TRUE` it will replace matching fields in the destination document.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. In the future, this will be modified to return the number of fields in the new document.